commit: 114e21530584ed0c12ca9abf5c3ffd66809cc26a
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 7 13:44:56 2019 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Thu Nov 7 13:47:02 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=114e2153
media-gfx/scour-0.36-r1: added python3_7 + eapi7
Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
media-gfx/scour/scour-0.36-r1.ebuild | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
diff --git a/media-gfx/scour/scour-0.36-r1.ebuild
b/media-gfx/scour/scour-0.36-r1.ebuild
new file mode 100644
index 00000000000..8997eb6dcf0
--- /dev/null
+++ b/media-gfx/scour/scour-0.36-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+inherit distutils-r1
+
+DESCRIPTION="Take an SVG file and produce a cleaner and more concise file"
+HOMEPAGE="https://github.com/scour-project/scour"
+SRC_URI="https://github.com/scour-project/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+python_test() {
+ "${EPYTHON}" testscour.py -v || die "Tests fail with ${EPYTHON}"
+}